use serde::{Deserialize, Serialize};

#[repr(C)]
#[derive(Copy, Clone, Debug, Hash, Eq, PartialEq, Serialize, Deserialize)]
pub enum ShaderStage {
    /// Handles the processing of individual vertices
    Vertex = 0,

    /// Process a fragment generated by the rasterization into a set of colors and a single depth value.
    Fragment = 1,

    /// Used entirely for computing arbitrary information
    Compute = 2,

    /// Multi-stage shader, used with wgsl sources.
    Multiple = 3,
}
